/*Do file S1: Stata commands for analysis*/

summ casecorrect2 dotbtest offerHIV  tbcontact  coughalotonly askcoughtime  asknsweat  askweightloss askfeverlon doBP doweight dopulse dotemp mask2, separator(20)
summ antibio if dotemp==0
summ returncombo2 if dotbtest==1
summ returnimp if dotbtest==1
sum dotemp if askfeverlong==1

tab casecorrect2
proportion casecorrect2

tab dotbtest
proportion dotbtest

tab offerHIV
proportion offerHIV

tab tbcontact
proportion tbcontact

tab askcoughtime
proportion askcoughtime
proportion askcoughtime, missing

tab asknsweat
proportion asknsweat

tab askweightloss
proportion askweightloss

tab askfeverlong
proportion askfeverlong

egen propessenquestasked = rmean(askcoughtime askweightloss asknsweat askfeverlong)
sum propessenquestasked

tab doBP
proportion doBP
proportion doBP,  missing

tab doweight
proportion doweight
proportion doweight, missing

tab dopulse
proportion dopulse
proportion dopulse, missing

tab dotemp
proportion dotemp
proportion dotemp, missing

tab dotemp if askfeverlong==1
proportion dotemp if askfeverlong==1

sum antibio if dotemp==0
tab antibio if dotemp==0
proportion antibio if dotemp==0

tab mask2
proportion mask2

sum returncombo2 if dotbtest==1
tab returncombo2 if dotbtest==1
proportion returncombo2 if dotbtest==1
proportion returncombo2 if dotbtest==1, missing

sum returnimp if dotbtest==1
tab returnimp if dotbtest==1
proportion returnimp if dotbtest==1
proportion returnimp if dotbtest==1, missing

sum coughalotonly
tab coughalotonly
proportion coughalotonly
proportion coughalotonly, missing

/*logistic casecorrect2 fieldworker_code gender age facility_code 
logistic dotbtest fieldworker_code gender age facility_code 
logistic offerHIV fieldworker_code gender age facility_code*/

oneway casecorrect2 fieldworker_code, tab
oneway dotbtest fieldworker_code, tab
oneway offerHIV fieldworker_code, tab
oneway tbcontact fieldworker_code, tab
oneway coughalotonly fieldworker_code, tab
oneway askcoughtime fieldworker_code, tab
oneway asknsweat fieldworker_code, tab
oneway askweightloss fieldworker_code, tab
oneway askfeverlong fieldworker_code, tab
oneway doBP fieldworker_code, tab
oneway doweight fieldworker_code, tab
oneway dopulse fieldworker_code, tab
oneway dotemp fieldworker_code, tab
oneway dotemp fieldworker_code if askfeverlong==1,  tab
oneway antibio fieldworker_code if dotemp==0,  tab
oneway mask2 fieldworker_code, tab
oneway returncombo2 fieldworker_code if dotbtest==1, tab
oneway returnimp fieldworker_code if dotbtest==1, tab

oneway casecorrect2 facility_code, tab
oneway dotbtest facility_code, tab
oneway offerHIV facility_code, tab
oneway tbcontact facility_code, tab
oneway coughalotonly facility_code, tab
oneway askcoughtime facility_code, tab
oneway asknsweat facility_code, tab
oneway askweightloss facility_code, tab
oneway askfeverlong facility_code, tab
oneway doBP facility_code, tab
oneway doweight facility_code, tab
oneway dopulse facility_code, tab
oneway dotemp facility_code, tab
oneway dotemp facility_code if askfeverlong==1,  tab
oneway antibio facility_code if dotemp==0,  tab
oneway mask2 facility_code, tab
oneway returncombo2 facility_code if dotbtest==1, tab
oneway returnimp facility_code if dotbtest==1, tab

oneway casecorrect2 gender, tab
oneway dotbtest gender, tab
oneway offerHIV gender, tab
oneway tbcontact gender, tab
oneway coughalotonly gender, tab
oneway askcoughtime gender, tab
oneway asknsweat gender, tab
oneway askweightloss gender, tab
oneway askfeverlong gender, tab
oneway doBP gender, tab
oneway doweight gender, tab
oneway dopulse gender, tab
oneway dotemp gender, tab
oneway dotemp gender if askfeverlong==1,  tab
oneway antibio gender if dotemp==0,  tab
oneway mask2 gender, tab
oneway returncombo2 gender if dotbtest==1, tab
oneway returnimp gender if dotbtest==1, tab

oneway casecorrect2 agecat, tab
oneway dotbtest agecat, tab
oneway offerHIV agecat, tab
oneway tbcontact agecat, tab
oneway coughalotonly agecat, tab
oneway askcoughtime agecat, tab
oneway asknsweat agecat, tab
oneway askweightloss agecat, tab
oneway askfeverlong agecat, tab
oneway doBP agecat, tab
oneway doweight agecat, tab
oneway dopulse agecat, tab
oneway dotemp agecat, tab
oneway dotemp agecat if askfeverlong==1,  tab
oneway antibio agecat if dotemp==0,  tab
oneway mask2 agecat, tab
oneway returncombo2 agecat if dotbtest==1, tab
oneway returnimp agecat if dotbtest==1, tab


